<?php

namespace Drupal\memcache_storage;

use Drupal\Core\Site\Settings;

interface DrupalMemcachedInterface {

  public function __construct(Settings $settings, array $servers, $cluster_name);

  public function isConnected();

  public function addServer($host, $port);

  public function set($key, $value, $expiration = 0, $cache_bin = '');

  public function setMulti(array $items, $cache_bin = '');

  public function get($key, $cache_bin = '');

  public function getMulti(array $keys, $cache_bin = '');

  public function delete($key, $cache_bin = '');

  public function deleteMulti(array $keys, $cache_bin = '');

  public function flush($cache_bin = '');
}
